Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5160)
@@ -278,5 +278,5 @@
           ELSE IF (j > i) THEN
             IF (prt_level >= 10) THEN
-              print *,'cv3p_mixing i, j, Sij given by the no-precip eq. ', i, j, Sij(il,i,j)
+              PRINT *,'cv3p_mixing i, j, Sij given by the no-precip eq. ', i, j, Sij(il,i,j)
             ENDIF
           END IF ! new ! IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (j>=(icb(il)-1)) &
@@ -476,7 +476,7 @@
 !jygdebug<
     IF (prt_level >= 10) THEN
-      print *,'cv3p_mixing i, nent(i), icb, inb ',i, nent(igout,i), icb(igout), inb(igout)
+      PRINT *,'cv3p_mixing i, nent(i), icb, inb ',i, nent(igout,i), icb(igout), inb(igout)
       IF (nent(igout,i) > 0) THEN
-        print *,'i,(j,Sij(i,j),j=icb-1,inb) ',i,(j,Sij(igout,i,j),j=icb(igout)-1,inb(igout))
+        PRINT *,'i,(j,Sij(i,j),j=icb-1,inb) ',i,(j,Sij(igout,i,j),j=icb(igout)-1,inb(igout))
       ENDIF
     ENDIF
@@ -848,5 +848,5 @@
             END IF
 
-! print *,h(il,j)-hent(il,i,j),LV(il,j)*rs(il,j)/(cpd*rrv*t(il,j)*
+! PRINT *,h(il,j)-hent(il,i,j),LV(il,j)*rs(il,j)/(cpd*rrv*t(il,j)*
 ! :         t(il,j))
 
@@ -865,5 +865,5 @@
 !IM 301008 end
 
-! print *,'mix : i,j,hent(il,i,j),Sigij(il,i,j) ',
+! PRINT *,'mix : i,j,hent(il,i,j),Sigij(il,i,j) ',
 ! :               i,j,hent(il,i,j),Sigij(il,i,j)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5160)
@@ -491,5 +491,5 @@
   ! --- SET CONSTANTS AND PARAMETERS
   ! -------------------------------------------------------------------
-  ! print *, '-> cv_driver'      !jyg
+  ! PRINT *, '-> cv_driver'      !jyg
   ! -- set simulation flags:
   ! (common cvflag)
@@ -1227,5 +1227,5 @@
   END IF ! ncum>0
 
-  ! print *, 'fin cv_driver ->'      !jyg
+  ! PRINT *, 'fin cv_driver ->'      !jyg
 
 END SUBROUTINE cv_driver
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5160)
@@ -666,6 +666,6 @@
 
 
-! print *, 't1, t1_wake ',(k,t1(1,k),t1_wake(1,k),k=1,nd)
-! print *, 'q1, q1_wake ',(k,q1(1,k),q1_wake(1,k),k=1,nd)
+! PRINT *, 't1, t1_wake ',(k,t1(1,k),t1_wake(1,k),k=1,nd)
+! PRINT *, 'q1, q1_wake ',(k,q1(1,k),q1_wake(1,k),k=1,nd)
 
 ! -------------------------------------------------------------------
@@ -912,5 +912,5 @@
   END IF
 
-! print *, 'cv3_feed-> iflag1, plcl1 ',iflag1(1),plcl1(1)
+! PRINT *, 'cv3_feed-> iflag1, plcl1 ',iflag1(1),plcl1(1)
 
 ! --------------------------------------------------------------------
@@ -1013,5 +1013,5 @@
 ! -------------------------------------------------------------------
 
-! print *,' avant triggering, iflag_con ',iflag_con
+! PRINT *,' avant triggering, iflag_con ',iflag_con
 
   IF (iflag_con==3) THEN
@@ -1344,5 +1344,5 @@
     END IF
 
-! print *,'cv_closure-> cape ',cape(1)
+! PRINT *,'cv_closure-> cape ',cape(1)
 
 ! -------------------------------------------------------------------
@@ -1559,6 +1559,6 @@
 #endif   
 
-! print *,'cv_unsat-> mp ',mp
-! print *,'cv_unsat-> water ',water
+! PRINT *,'cv_unsat-> mp ',mp
+! PRINT *,'cv_unsat-> water ',water
 ! -------------------------------------------------------------------
 ! --- YIELD
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.f90	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_chem.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.h	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_chem.h	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/chem.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_concvl.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_concvl.F90	(revision 5160)
@@ -500,5 +500,5 @@
 #endif 
 
-! print *, '-> cv_driver'      !jyg
+! PRINT *, '-> cv_driver'      !jyg
     CALL cv_driver(klon, klev, klevp1, ntra, iflag_con, &
                    t, q, qs, u, v, tra, &
@@ -524,5 +524,5 @@
 #endif
                     )
-!           print *, 'cv_driver ->'      !jyg
+!           PRINT *, 'cv_driver ->'      !jyg
 
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_ini_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_ini_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_ini_undefstd.f90	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_ini_undefstd.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_moy_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_moy_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_moy_undefstd.f90	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_moy_undefstd.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_plevel_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_plevel_new.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_plevel_new.f90	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_plevel_new.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_undefstd.f90	(revision 5160)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_undefstd.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5160)
@@ -1096,5 +1096,5 @@
 
     DO i = 1, klon
-      ! c       print *,' isubstep,wk_adv(i),cstar(i),wape(i) ',
+      ! c       PRINT *,' isubstep,wk_adv(i),cstar(i),wape(i) ',
       ! c     $           isubstep,wk_adv(i),cstar(i),wape(i)
       IF (wk_adv(i) .AND. cstar(i)>0.01) THEN
@@ -1176,11 +1176,11 @@
 
       IF (prt_level >= 10) THEN
-        print *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1) ', &
+        PRINT *,'wake, cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1) ', &
                        cstar(1), cstar(1)/cstart, rad_wk(1), tau_wk_inv(1), drdt(1)
-        print *,'wake, wdens(1), awdens(1), act(1), d_awdens(1) ', &
+        PRINT *,'wake, wdens(1), awdens(1), act(1), d_awdens(1) ', &
                        wdens(1), awdens(1), act(1), d_awdens(1)
-        print *,'wake, wgen, -(wdens-awdens)*tau_wk_inv, -2.*wdens*gfl*drdt_pos, d_wdens ', &
+        PRINT *,'wake, wgen, -(wdens-awdens)*tau_wk_inv, -2.*wdens*gfl*drdt_pos, d_wdens ', &
                        wgen(1), -(wdens(1)-awdens(1))*tau_wk_inv(1), -2.*wdens(1)*gfl(1)*drdt_pos, d_wdens(1)
-        print *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
+        PRINT *,'wake, d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1) ', &
                        d_sig_gen(1), d_sig_death(1), d_sig_col(1), d_sigmaw(1)
       ENDIF
@@ -1319,5 +1319,5 @@
       END DO
     END DO
-!!    print *,'omg(igout,k) ', (k,omg(igout,k),k=1,klev)
+!!    PRINT *,'omg(igout,k) ', (k,omg(igout,k),k=1,klev)
     ! cc nrlmd
     ! c      DO i=1,klon
@@ -2327,18 +2327,18 @@
     DO i = 1, klon
       IF (ok_qx_qw(i)) THEN
-        !! print *,'wake, hw0(i), dthmin(i) ', hw0(i), dthmin(i)
-        !! print *,'wake, 2.*sum_dth(i)/(hw0(i)*dthmin(i)) ', &
+        !! PRINT *,'wake, hw0(i), dthmin(i) ', hw0(i), dthmin(i)
+        !! PRINT *,'wake, 2.*sum_dth(i)/(hw0(i)*dthmin(i)) ', &
         !!                2.*sum_dth(i)/(hw0(i)*dthmin(i))
-        !! print *,'wake, sum_half_dth(i), sum_dth(i) ', &
+        !! PRINT *,'wake, sum_half_dth(i), sum_dth(i) ', &
         !!                sum_half_dth(i), sum_dth(i)
         IF ((hw0(i) < 1.) .OR. (dthmin(i) >= -delta_t_min) ) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 1'
+          !! PRINT *,'wake, rej 1'
         ELSE IF (iflag_wk_check_trgl==1.AND.abs(2.*sum_dth(i)/(hw0(i)*dthmin(i)) - 1.) > 0.5) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 2'
+          !! PRINT *,'wake, rej 2'
         ELSE IF (abs(sum_half_dth(i)) < 0.5*abs(sum_dth(i)) ) THEN
           wape2(i) = -1.
-          !! print *,'wake, rej 3'
+          !! PRINT *,'wake, rej 3'
         END IF
       END IF
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5160)
@@ -93,4 +93,8 @@
     USE phys_output_var_mod, ONLY:      cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
     USE phys_output_var_mod, ONLY: cloud_cover_sw, cloud_cover_sw_s2
+    USE lmdz_plevel_new, ONLY: plevel_new
+    USE lmdz_moy_undefstd, ONLY: moy_undefstd
+    USE lmdz_undefstd, ONLY: undefstd
+    USE lmdz_ini_undefstd, ONLY: ini_undefstd
 
     USE lmdz_geometry,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
@@ -106,5 +110,5 @@
     USE paramLMDZ_phy_mod
 
-        USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
+    USE lmdz_phytracr_spl, ONLY: phytracr_spl, phytracr_spl_out_init
     USE phys_output_write_spl_mod
     USE phytrac_mod, ONLY: phytrac_init, phytrac
@@ -428,4 +432,5 @@
 
     USE lmdz_yomcst
+    USE lmdz_phys_constants, ONLY: dobson_u
 
     IMPLICIT NONE
@@ -902,5 +907,4 @@
     REAL zmasse(klon, nbp_lev),exner(klon, nbp_lev)
     !     (column-density of mass of air in a cell, in kg m-2)
-    REAL, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
     !IM sorties
@@ -925,9 +929,6 @@
     EXTERNAL suphel    ! initialiser certaines constantes
     EXTERNAL transp    ! transport total de l'eau et de l'energie
-    !IM
+
     EXTERNAL haut2bas  !variables de haut en bas
-    EXTERNAL ini_undefSTD  !initialise a 0 une variable a 1 niveau de pression
-    EXTERNAL undefSTD !somme les valeurs definies d'1 var a 1 niveau de pression
-    !     EXTERNAL moy_undefSTD  !moyenne d'1 var a 1 niveau de pression
     ! EXTERNAL moyglo_aire
     ! moyenne globale d'1 var ponderee par l'aire de la maille (moyglo_pondaire)
@@ -1655,5 +1656,5 @@
     ENDIF
 
-    IF (prt_level>=1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
+    IF (prt_level>=1) PRINT *,'CONVERGENCE PHYSIQUE THERM 1 '
 
     !======================================================================
@@ -1804,9 +1805,9 @@
        IF (nbapp_cv == 0) nbapp_cv=86400./phys_tstep
        IF (nbapp_wk == 0) nbapp_wk=86400./phys_tstep
-       print *,'physiq, nbapp_cv, nbapp_wk ',nbapp_cv,nbapp_wk
+       PRINT *,'physiq, nbapp_cv, nbapp_wk ',nbapp_cv,nbapp_wk
        IF (MOD(NINT(86400./phys_tstep),nbapp_cv)==0) THEN
           cvpas_0 = NINT( 86400./phys_tstep)/nbapp_cv
           cvpas = cvpas_0
-       print *,'physiq, cvpas ',cvpas
+       PRINT *,'physiq, cvpas ',cvpas
        ELSE 
           WRITE(lunout,*) 'le nombre de pas de temps physique doit etre un ', &
@@ -1820,5 +1821,5 @@
        IF (MOD(NINT(86400./phys_tstep),nbapp_wk)==0) THEN
           wkpas = NINT( 86400./phys_tstep)/nbapp_wk
-!       print *,'physiq, wkpas ',wkpas
+!       PRINT *,'physiq, wkpas ',wkpas
        ELSE 
           WRITE(lunout,*) 'le nombre de pas de temps physique doit etre un ', &
@@ -3214,7 +3215,7 @@
 !!jyg       IF (prt_level .ge. 2 .AND. mod(iflag_pbl_split,2) .EQ. 1) THEN
        IF (prt_level >= 2 .AND. mod(iflag_pbl_split,10) >= 1) THEN
-          print *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
-          print *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
-          print *,'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:,1)
+          PRINT *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
+          PRINT *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
+          PRINT *,'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:,1)
        ENDIF
        ! !!
@@ -3574,5 +3575,5 @@
 
 !!jyg    IF (MOD(itapcv,cvpas).EQ.0) THEN
-!!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
+!!    PRINT *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
 !!                       itapcv, cvpas, itap-1, cvpas_0
     IF (MOD(itapcv,cvpas)==0 .OR. MOD(itap-1,cvpas_0)==0) THEN
@@ -3805,5 +3806,5 @@
        !>jyg
 
-!!      print *,'physiq. q_w(1,k), q_x(1,k) ', &
+!!      PRINT *,'physiq. q_w(1,k), q_x(1,k) ', &
 !!             (k, q_w(1,k), q_x(1,k),k=1,25)
 
@@ -4025,5 +4026,5 @@
                    abs(d_q_con(i,k)) > dqcon_multistep_max) THEN
                  cvpas = 1
-!!                 print *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
+!!                 PRINT *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
 !!                                   i,k,d_t_con(i,k),d_q_con(i,k)
                ENDIF
@@ -4177,5 +4178,5 @@
     ENDIF
     IF (mod(itap,1000) == 0) THEN
-      print *,' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
+      PRINT *,' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
     ENDIF
 
@@ -4451,7 +4452,7 @@
 
        IF (prt_level >= 10) THEN
-         print *,' physiq, after calwake, wake_s: ',wake_s(:)
-         print *,' physiq, after calwake, wake_deltat: ',wake_deltat(:,1)
-         print *,' physiq, after calwake, wake_deltaq: ',wake_deltaq(:,1)
+         PRINT *,' physiq, after calwake, wake_s: ',wake_s(:)
+         PRINT *,' physiq, after calwake, wake_deltat: ',wake_deltat(:,1)
+         PRINT *,' physiq, after calwake, wake_deltaq: ',wake_deltaq(:,1)
        ENDIF
 
@@ -4933,5 +4934,5 @@
     !-------------------------------------------------------------------------
     IF (prt_level >=10) THEN
-       print *,'itap, ->fisrtilp ',itap
+       PRINT *,'itap, ->fisrtilp ',itap
     ENDIF
 
@@ -5932,5 +5933,5 @@
 
           IF (prt_level >=10) THEN
-             print *,' ->radlwsw, number 1 '
+             PRINT *,' ->radlwsw, number 1 '
           ENDIF
 
@@ -6011,5 +6012,5 @@
 
                 IF (prt_level >=10) THEN
-                   print *,' ->radlwsw, number 2 '
+                   PRINT *,' ->radlwsw, number 2 '
                 ENDIF
 
@@ -6195,5 +6196,5 @@
 
     IF (prt_level >=10) THEN
-       print *,' CALL orography ? ', ok_orodr
+       PRINT *,' CALL orography ? ', ok_orodr
     ENDIF
 
@@ -6447,7 +6448,7 @@
        flh2o=1
        IF(flag_verbose_strataer) THEN
-          print *,'IN physiq_mod: ok_qemiss =yes (',ok_qemiss,'), flh2o=',flh2o
-          print *,'IN physiq_mod: flag_emit=',flag_emit,', nErupt=',nErupt
-          print *,'IN physiq_mod: nAerErupt=',nAerErupt
+          PRINT *,'IN physiq_mod: ok_qemiss =yes (',ok_qemiss,'), flh2o=',flh2o
+          PRINT *,'IN physiq_mod: flag_emit=',flag_emit,', nErupt=',nErupt
+          PRINT *,'IN physiq_mod: nAerErupt=',nAerErupt
        ENDIF
        
@@ -6460,5 +6461,5 @@
                   day_cur<(day_emit_vol(ieru)+injdur)) THEN
                 
-                IF(flag_verbose_strataer) print *,'IN physiq_mod: date=',year_cur,mth_cur,day_cur
+                IF(flag_verbose_strataer) PRINT *,'IN physiq_mod: date=',year_cur,mth_cur,day_cur
                 ! initialisation of q tendency emission
                 d_q_emiss(:,:)=0.
@@ -6475,5 +6476,5 @@
                     nAerErupt+1,0)
                 
-                IF(flag_verbose_strataer) print *,'IN physiq_mod: min max d_q_emiss=',&
+                IF(flag_verbose_strataer) PRINT *,'IN physiq_mod: min max d_q_emiss=',&
                      minval(d_q_emiss),maxval(d_q_emiss)
                 
@@ -7057,5 +7058,5 @@
 
     IF (prt_level >=10) THEN
-       print *,'Convertir les incrementations en tendances '
+       PRINT *,'Convertir les incrementations en tendances '
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5160)
@@ -41,5 +41,5 @@
     ivapcur= iqWIsoPha(ixt,ivap)
     isolcur= iqWIsoPha(ixt,isol)
-!print *,'rrevap ; fl_cor_ebil:',fl_cor_ebil,' iflag_ice_thermo:',iflag_ice_thermo,' RVTMP2',RVTMP2
+!PRINT *,'rrevap ; fl_cor_ebil:',fl_cor_ebil,' iflag_ice_thermo:',iflag_ice_thermo,' RVTMP2',RVTMP2
     DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
        DO i = 1, klon
